Skip to main content
POST
/
api
/
v1
/
fraud
/
rules
Fraud kuralı oluştur
curl --request POST \
  --url https://fraud-sandbox.payven.com.tr/api/v1/fraud/rules \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "code": "<string>",
  "name": "<string>",
  "description": "<string>",
  "expression_json": "<string>",
  "priority": 123,
  "is_active": true
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "tenant_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "code": "<string>",
  "name": "<string>",
  "description": "<string>",
  "expression_json": "<string>",
  "priority": 123,
  "is_active": true,
  "created": "2023-11-07T05:31:56Z",
  "last_modified": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Headers

Idempotency-Key
string

Body

application/json
scope
enum<string>
Available options:
global,
tenant
tenant_id
string<uuid> | null
process
enum<string>
Available options:
sanal_pos,
para_transferi,
fatura_odeme
code
string | null
name
string | null
description
string | null
type
enum<string>
Available options:
velocity,
amount_threshold,
geo,
blacklist,
custom
expression_json
string | null
action
enum<string>
Available options:
approve,
challenge,
review,
block
priority
integer<int32>
is_active
boolean

Response

Created

id
string<uuid>
scope
enum<string>
Available options:
global,
tenant
tenant_id
string<uuid> | null
process
enum<string>
Available options:
sanal_pos,
para_transferi,
fatura_odeme
code
string | null
name
string | null
description
string | null
type
enum<string>
Available options:
velocity,
amount_threshold,
geo,
blacklist,
custom
expression_json
string | null
action
enum<string>
Available options:
approve,
challenge,
review,
block
priority
integer<int32>
is_active
boolean
created
string<date-time>
last_modified
string<date-time>